# open this flag when support more pkg in the future
%bcond_with tests

Summary:        A requests mocking tool for python
Name:           python-requests-mock
Version:        1.10.0
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://requests-mock.readthedocs.io/
Source0:        https://pypi.io/packages/source/r/requests-mock/requests-mock-%{version}.tar.gz

Patch3000:      0002-Use-system-urllib3-package.patch
Patch3001:      0003-Allow-skipping-purl-tests-if-it-is-not-present.patch

BuildArch:      noarch

%description
requests-mock provides a simple way to do HTTP mocking at the python-requests layer.


%package -n python%{python3_pkgversion}-requests-mock
Summary:        A requests mocking tool for python

Requires:       python%{python3_pkgversion}-requests python%{python3_pkgversion}-six

BuildRequires:  python%{python3_pkgversion}-requests python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-six python%{python3_pkgversion}-pbr
BuildRequires:  python%{python3_pkgversion}-urllib3 python%{python3_pkgversion}-setuptools

%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-fixtures python%{python3_pkgversion}-testtools
BuildRequires:  python%{python3_pkgversion}-mock python%{python3_pkgversion}-pytest
%endif

%description -n python%{python3_pkgversion}-requests-mock
requests-mock provides a simple way to do HTTP mocking at the python-requests layer.

%prep
%autosetup -n requests-mock-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x fixture}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files requests_mock


%check
%if %{with tests}
%pytest -v tests/pytest
%endif


%files -n python3-requests-mock -f %{pyproject_files}
%doc README.rst ChangeLog

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.0-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 Shuo Wang <abushwang@tencent.com> - 1.10.0-1
- update to 1.10.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.3-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jan 13 2023 Shuo Wang <abushwang@tencent.com> - 1.9.3-1
- initial build
